﻿Imports System.Data
Imports System.Data.SqlClient

Public Class Form1
    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Me.BindDataGridView()
    End Sub

    Private Sub BindDataGridView()
        Dim dt As New DataTable()
        dt.Columns.AddRange(New DataColumn(2) {New DataColumn("Id", GetType(Integer)), New DataColumn("Name", GetType(String)), New DataColumn("Country", GetType(String))})
        dt.Rows.Add(1, "John Hammond", "United States")
        dt.Rows.Add(2, "Mudassar Khan", "India")
        dt.Rows.Add(3, "Suzanne Mathews", "France")
        dt.Rows.Add(4, "Robert Schidner", "Russia")
        Me.dataGridView1.DataSource = dt

        'Add a CheckBox Column to the DataGridView at the first position.
        Dim checkBoxColumn As New DataGridViewCheckBoxColumn()
        checkBoxColumn.HeaderText = ""
        checkBoxColumn.Width = 30
        checkBoxColumn.Name = "checkBoxColumn"
        dataGridView1.Columns.Insert(0, checkBoxColumn)
    End Sub

    Private Sub btnInsert_Click(sender As System.Object, e As System.EventArgs) Handles btnInsert.Click
        Dim inserted As Integer = 0
        For Each row As DataGridViewRow In dataGridView1.Rows
            Dim isSelected As Boolean = Convert.ToBoolean(row.Cells("checkBoxColumn").Value)
            If isSelected Then
                Dim constring As String = "Data Source=.\SQL2014;Initial Catalog=AjaxSamples;Integrated Security=true"
                Using con As New SqlConnection(constring)
                    Using cmd As New SqlCommand("INSERT INTO Customers VALUES(@CustomerId, @Name, @Country)", con)
                        cmd.Parameters.AddWithValue("@CustomerId", row.Cells("Id").Value)
                        cmd.Parameters.AddWithValue("@Name", row.Cells("Name").Value)
                        cmd.Parameters.AddWithValue("@Country", row.Cells("Country").Value)
                        con.Open()
                        cmd.ExecuteNonQuery()
                        con.Close()
                    End Using
                End Using
                inserted = inserted + 1
            End If
        Next
        If inserted > 0 Then
            MessageBox.Show(String.Format("{0} records inserted.", inserted), "Message")
        End If
    End Sub
End Class

